REM source included
REM nircmd.exe from http://www.nirsoft.net/utils/nircmd-x64.zip

set P=msvcrt
set V=1.0.3
set B=1

set ARCH=%1

if "%ARCH%"=="x86_64" (
	set OSGEO4W_ROOT=C:\OSGeo4W64
        set VCARCH=x64
) else if "%ARCH%"=="x86" (
        set OSGEO4W_ROOT=C:\OSGeo4W
        set VCARCH=x86
) else (
        echo "unsupported arch %ARCH%"
        goto error
)

set R=..\..\..\%ARCH%\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" %VCARCH%
echo on
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%

cd ..
nmake /f makefile.vc clean
nmake /f makefile.vc
cd osgeo4w

copy setup.hint %R%\setup.hint
copy ..\dllupdate.exe install-%ARCH%\bin
copy ..\textreplace.exe install-%ARCH%\bin

tar -C install-%ARCH% -cjf %R%\%P%-%V%-%B%.tar.bz2 etc bin apps
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 ^
	dllupdate.cpp ^
	textreplace.c ^
	makefile.vc ^
	osgeo4w/package.cmd ^
	osgeo4w/setup.hint ^
	osgeo4w/install-x86/apps/msvcrt/NirCmd.chm ^
	osgeo4w/install-x86/bin/msvcp60.dll ^
	osgeo4w/install-x86/bin/msvcp70.dll ^
	osgeo4w/install-x86/bin/msvcp71.dll ^
	osgeo4w/install-x86/bin/msvcr71.dll ^
	osgeo4w/install-x86/bin/msvcrt.dll ^
	osgeo4w/install-x86/bin/nircmd.exe ^
	osgeo4w/install-x86/bin/nircmdc.exe ^
	osgeo4w/install-x86/bin/o4w_env.bat ^
	osgeo4w/install-x86/bin/xxmklink.exe ^
	osgeo4w/install-x86/etc/ini/msvcrt.bat ^
	osgeo4w/install-x86_64/apps/msvcrt/NirCmd.chm ^
	osgeo4w/install-x86_64/bin/msvcp100.dll ^
	osgeo4w/install-x86_64/bin/msvcr100.dll ^
	osgeo4w/install-x86_64/bin/nircmd.exe ^
	osgeo4w/install-x86_64/bin/nircmdc.exe ^
	osgeo4w/install-x86_64/bin/o4w_env.bat ^
	osgeo4w/install-x86_64/bin/xxmklink.exe ^
	osgeo4w/install-x86_64/etc/ini/msvcrt.bat
	
:error
